# Uses of Class
java.io.RandomAccessFile

Packages that use RandomAccessFile
Package
Description
javax.imageio.stream
A package of the Java Image I/O API dealing with low-level I/O from files and streams.

## Uses of RandomAccessFile in javax.imageio.stream

Constructors in javax.imageio.stream with parameters of type RandomAccessFile
Modifier
Constructor
Description
``
`FileImageInputStream(RandomAccessFile raf)`
Constructs a `FileImageInputStream` that will read from a given `RandomAccessFile`.
``
`FileImageOutputStream(RandomAccessFile raf)`
Constructs a `FileImageOutputStream` that will write to a given `RandomAccessFile`.